Name:           postgis
Version:        1.1.1
Release:        1
Summary:        Geographic objects support for PostgreSQL

Group:          Applications/Databases
License:        GPL
URL:            http://postgis.refractions.net/
Source0:        %{name}-%{version}.tar.gz
Patch0:         postgis-geos-proj.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  postgresql-devel, proj-devel, flex, geos-devel, byacc, libxslt

%description
PostGIS adds support for geographic objects to the PostgreSQL object-relational
database. In effect, PostGIS "spatially enables" the PostgreSQL server,
allowing it to be used as a backend spatial database for geographic information
systems (GIS), much like ESRI's SDE or Oracle's Spatial extension. PostGIS
follows the OpenGIS "Simple Features Specification for SQL" and will be
submitted for conformance testing at version 1.0.

%prep
%setup -q
#%patch0 -p0

%build
./configure
#make %{?_smp_mflags} PGXS=1 PGSQL_SRC=%{_libdir}/pgsql/pgxs LPATH=\$\(pkglibdir\)
make %{?_smp_mflags} 

%install
rm -rf $RPM_BUILD_ROOT
#make install DESTDIR=$RPM_BUILD_ROOT PGXS=1 PGSQL_SRC=%{_libdir}/pgsql/pgxs
make install DESTDIR=$RPM_BUILD_ROOT

install -d  $RPM_BUILD_ROOT/%{_mandir}/man1
cp doc/man/*.1 $RPM_BUILD_ROOT/%{_mandir}/man1

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_libdir}/pgsql/*
%{_bindir}/*
%{_datadir}/pgsql/*
%doc %{_datadir}/pgsql 
%doc %{_mandir}/man1/*

%changelog

* Tue Mar 07 2006 Silke Reimer <silke@intevation.de> 1.1.1-1
- new upstream version

* Mon Oct 17 2005 Silke Reimer <silke@intevation.de> 1.0.4-2
- added support for geos and postgis

* Mon Sep 19 2005 Silke Reimer <silke@intevation.de> 1.0.4-1
- New upstream release: Fixes bug in shp2pgsql

* Thu Aug 25 2005 Silke Reimer <silke@intevation.de> 1.0.3-1
- Initial version

